.module-component-footer{
    background-color: var(--blue-200);
    background: var(--gradient-bg-overlay-3);
    padding: calc(60 * var(--rpx)) calc(90 * var(--rpx));
    border-top-right-radius: var(--radius-20);
    border-top-left-radius: var(--radius-20);
}

.module-component-footer .box .title{
    font-size: calc(20 * var(--rpx));
    font-weight: 600;
    color: var(--white);
}

.module-component-footer .box .flex.col-3{
    justify-items: center;
}

.module-component-footer .box .flex.col-3 > div:nth-child(3){
    justify-self: end;
}

/* Logo */
.module-component-footer .box .flex > div:has(.logo){
    margin-top: calc(-60 * var(--rpx));
    width: calc(250 * var(--rpx));
    height: calc(290 * var(--rpx));
    padding: calc(12 * var(--rpx));
    padding-top: calc(40 * var(--rpx));
    padding-bottom: calc(60 * var(--rpx));
    background-color: var(--white);
    border-bottom-right-radius: calc(25 * var(--rpx));
    border-bottom-left-radius: calc(25 * var(--rpx));
}

.module-component-footer .box .logo img{
    width: 100%;
    height: 100%;
    object-fit: contain;
}

/* Menu */
.module-component-footer .box .menu{
    flex-direction: column;
}

.module-component-footer .box .menu a{
    color: var(--white);
}

.module-component-footer .box .menu .parent .submenu,
.module-component-footer .box .menu .parent svg{
  display: none;
}

/* Delba */
.module-component-footer .box .delba {
    color: #94A3BF;
    gap:0;
}

/* Search */
.module-component-footer .box .search-input {
    padding: var(--spacing-20);
    border-radius: var(--radius-15);
    height: calc(var(--rpx) * 49);
    width: calc(var(--rpx) * 248);
    background-color: var(--white-10);
    border: calc(var(--rpx) * 1) solid var(--white-20);
    transition: var(--transition-fast);
  }
  .module-component-footer .box .search-input > div:first-child {
    height: calc(var(--rpx) * 21);
  }
  .module-component-footer .box .search-input:has(input:focus) {
    border-color: var(--white-85);
  }
  .module-component-footer .box .search-input input {
    font: var(--font-search-medium);
    color: var(--white);
    background: transparent;
    border: none;
    outline: none;
    padding: 0;
    border-radius: 0;
  }
  .module-component-footer .box .search-input path{
    stroke: var(--white);
  }
  .module-component-footer .box .search-input input::placeholder {
    color: var(--white);
    transition: var(--transition-fast);
  }
  .module-component-footer .box .search-input input:focus::placeholder {
    color: transparent;
  }

  /* Social */
  .module-component-footer .box .social .font-item{
    color: var(--white);
    font-weight: 600;
  }

  .module-component-footer .box .social .font-item:not(.poly) a{
    color: var(--white-70);
    font-weight: 500;
  }

  .module-component-footer .box .social .font-item.poly a{
    color: var(--white);
    text-decoration: underline;
  }



@media (max-width: 1023px) {
  .module-component-footer [pc] {
    display: none;
  }

  .module-component-footer {
    padding: 0;
    padding-bottom: 32px;
    position: relative;
  }

  .module-component-footer .container {
    padding-left: 22px;
    padding-right: 22px;
  }

  .module-component-footer .box .flex.main {
    gap: 50px;
    justify-items: start !important;
    display: grid;
  }
  
  .module-component-footer .box .flex .logo {
    display: flex;
    align-items: center;
    height: 100%;
  }

  .module-component-footer .box .flex .logo img {
    height:auto;
  }

  .module-component-footer .box .flex .menu {
    gap: 20px;
    display: grid;
    grid-template-columns: repeat(2, 1fr);
  }

  .module-component-footer .box .flex .delba {
    gap: 12px;
  }

  .module-component-footer .box .h-logo {
    width: calc(135 * var(--rpx)) !important;
    height: calc(155 * var(--rpx)) !important;
  }

  .module-component-footer .box .flex .menu a{
    font:var(--font-menu-12);
  }

  .module-component-footer .box .flex > div:nth-child(2) {
    margin-top: 0;
    grid-row: 1;

  }

  .module-component-footer .box .flex > div:nth-child(3) {
    width: 100%;
  }

  .module-component-footer .box .search-input {
    width: 100%;
  }

  .module-component-footer .box .social {
    gap: 10px;
  }

  .module-component-footer .box .social .font-item.poly a {
    margin-top: 15px;
    display: block;
  }

  .module-component-footer .box button.outline {
    width: fit-content;
    padding: 20px 30px;
    border-radius: 15px;
  }

  .module-component-footer .box .flex.col-3 > div:nth-child(3) {
    justify-self: start;
  }

  .module-component-footer .box .flex .h-row[style="--cascade-delay: 300ms;"] {
    transform: translateY(0) !important;
  }
}


@media (min-width: 1024px) {
  .module-component-footer [mobile] {
    display: none;
  }
}